/* ==========================================================================
   Base styles
   ========================================================================== */

html, body {
    height: 100%;
    width: 100%;
    font-family: 'Source Sans Pro', Helvetica, Arial, sans-serif;
    color: #757575;
}

img {
    max-width: 100%;
}

a:link, a:visited, a:hover, a:active {
    outline: none;
    text-decoration: none;
}

a img {
    border: 0;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Oxygen', sans-serif;
    font-weight: 700;
}

.centered {
    margin-left: auto;
    margin-right: auto;
    float: none
}

.logo-karsten {
    max-width: 40em;
}

.logo-karsten-small {
    max-width: 15em;
}

.logo-container {
  background-color: black;
}

.content-container {
  background-color: black;
}

.karsten-map {
  width: 100vw;
}

/* ==========================================================================
   Navigation
   ========================================================================== */

.navbar {
    width: 100%;
}

.navbar-default {
    background: rgba(0, 0, 0, 0.85);
    border: none;
    color: #777;
    display: inline-block;
    text-align: right;
    position: fixed;
}

.navbar-nav {
    margin: 0 auto;
    padding: 0;
    list-style: none;
    display: inline-block;
    float: none;
    font-size: 1em;
    font-weight: bold;
}

.navbar-default .navbar-nav > li > a:hover,
.navbar-default .navbar-nav > li > a:focus {
    background-color: transparent;
}

.navbar-default .navbar-nav > .active > a,
.navbar-default .navbar-nav > .active > a:hover,
.navbar-default .navbar-nav > .active > a:focus {
    background: none;
}

/* ==========================================================================
  Layout
   ========================================================================== */

#page-welcome {
    width: 100%;
    height: 100%;
    position: relative;
    overflow: hidden;
    text-align: center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

#page-welcome header {
    padding-top: 20%;
    color: #ffffff;
}

#page-welcome header h1 {
    margin: 0;
    padding: 0;
    font-size: 4em;
    font-weight: 700;
    letter-spacing: 0.2em;
    line-height: 1em;
    text-transform: uppercase;
}

#page-welcome header p {
    font-size: 2em;
    display: inline-block;
    margin-bottom: 5px;
    padding: 0 8px;
    letter-spacing: 0.1em;
    line-height: 3em;
}

#page-profile {
    padding: 75px 0;
    background-color: #f7f7f7;
}

#page-profile p{
    text-align: center;
}

#page-services {
    padding: 75px 0;
    background-color: #222;
}

#page-gallery {
    display: none;
    padding: 75px 0;
    background-color: #222;
}

#page-contact {
    padding: 75px 0;
    background-color: #f7f7f7;
}

#page-contact .contact-info p {
    font-size: 1.2em;
}

#page-footer {
    padding: 1em 0;
    background-color: #222;
}

/* ==========================================================================
   Dividers
   ========================================================================== */
.section-header {
    text-align: center;
}

.section-header p {
    font-size: 1.5em;
}

.section-title {
    font-size: 3em;
    font-weight: 700;
    letter-spacing: 5px;
    text-align: center;
    color: #555555;
    text-transform: uppercase;
    padding: 20px 0;
}

.profile-image {
    width: 20em;
    height: auto;
}

.spacer {
    width: 100px;
    height: 2px;
    margin: auto;
}

.section-subtitle {
    text-align: center;
    padding: 30px 0;
}

@media screen and (max-width: 400px) {
    .section-image {
        border: 5px solid #333;
        width: auto;
        height: auto;
    }
}

/* ==========================================================================
   Social icons
   ========================================================================== */

.social-icons .btn {
    margin: 2em 1em 4em;
}

.btn.btn-clear {
    -webkit-transition-duration: 0.8s;
    -moz-transition-duration: 0.8s;
    -o-transition-duration: 0.8s;
    transition-duration: 0.8s;
}

.btn.btn-clear:hover {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -o-transform: rotate(360deg);
}

.btn-twitter:hover {
    color: #2BA9E0;
}

.btn-linkedin:hover {
    color: #015786;
}

.btn-google:hover {
    color: #D3492C;
}

/* ==========================================================================
   Slider
   ========================================================================== */

.slider-controls {
    opacity: 0;
    padding: 0;
    margin: 0;
    -webkit-transition: all 0.4s ease-in-out;
    -moz-transition: all 0.4s ease-in-out;
    -o-transition: all 0.4s ease-in-out;
    transition: all 0.4s ease-in-out;
}

.slider-controls li {
    list-style: none;
}

#page-welcome:hover .slider-controls {
    opacity: 1;
    -webkit-transition: all 0.4s ease-in-out;
    -moz-transition: all 0.4s ease-in-out;
    -o-transition: all 0.4s ease-in-out;
    transition: all 0.4s ease-in-out;
}

.slider-controls li a {
    position: absolute;
    z-index: 10;
    top: 40%;
    width: 60px;
    height: 60px;
    cursor: pointer;
}

.next, .prev {
    opacity: 0.5;
}

.next {
    background: url("../img/next.png");
    margin-right: 3em;
    right: 0;
}

.prev {
    background: url("../img/prev.png");
    margin-left: 3em;
    left: 0;
}

.next:hover,
.prev:hover {
    opacity: 1;
}
